<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:19 PST 2021 -->
<title>Pluggable (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Pluggable (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Pluggable.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/plugin/MissingDependencyException.html" title="class in org.apache.nutch.plugin"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/nutch/plugin/Plugin.html" title="class in org.apache.nutch.plugin"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/plugin/Pluggable.html" target="_top">Frames</a></li>
<li><a href="Pluggable.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.nutch.plugin</div>
<h2 title="Interface Pluggable" class="title">Interface Pluggable</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../org/apache/nutch/exchange/Exchange.html" title="interface in org.apache.nutch.exchange">Exchange</a>, <a href="../../../../org/apache/nutch/parse/HtmlParseFilter.html" title="interface in org.apache.nutch.parse">HtmlParseFilter</a>, <a href="../../../../org/apache/nutch/indexer/IndexingFilter.html" title="interface in org.apache.nutch.indexer">IndexingFilter</a>, <a href="../../../../org/apache/nutch/indexer/IndexWriter.html" title="interface in org.apache.nutch.indexer">IndexWriter</a>, <a href="../../../../org/apache/nutch/publisher/NutchPublisher.html" title="interface in org.apache.nutch.publisher">NutchPublisher</a>, <a href="../../../../org/apache/nutch/parse/Parser.html" title="interface in org.apache.nutch.parse">Parser</a>, <a href="../../../../org/apache/nutch/protocol/Protocol.html" title="interface in org.apache.nutch.protocol">Protocol</a>, <a href="../../../../org/apache/nutch/scoring/ScoringFilter.html" title="interface in org.apache.nutch.scoring">ScoringFilter</a>, <a href="../../../../org/apache/nutch/net/URLExemptionFilter.html" title="interface in org.apache.nutch.net">URLExemptionFilter</a>, <a href="../../../../org/apache/nutch/net/URLFilter.html" title="interface in org.apache.nutch.net">URLFilter</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../org/apache/nutch/scoring/AbstractScoringFilter.html" title="class in org.apache.nutch.scoring">AbstractScoringFilter</a>, <a href="../../../../org/apache/nutch/indexer/anchor/AnchorIndexingFilter.html" title="class in org.apache.nutch.indexer.anchor">AnchorIndexingFilter</a>, <a href="../../../../org/apache/nutch/any23/Any23IndexingFilter.html" title="class in org.apache.nutch.any23">Any23IndexingFilter</a>, <a href="../../../../org/apache/nutch/any23/Any23ParseFilter.html" title="class in org.apache.nutch.any23">Any23ParseFilter</a>, <a href="../../../../org/apache/nutch/urlfilter/automaton/AutomatonURLFilter.html" title="class in org.apache.nutch.urlfilter.automaton">AutomatonURLFilter</a>, <a href="../../../../org/apache/nutch/indexer/basic/BasicIndexingFilter.html" title="class in org.apache.nutch.indexer.basic">BasicIndexingFilter</a>, <a href="../../../../org/creativecommons/nutch/CCIndexingFilter.html" title="class in org.creativecommons.nutch">CCIndexingFilter</a>, <a href="../../../../org/creativecommons/nutch/CCParseFilter.html" title="class in org.creativecommons.nutch">CCParseFilter</a>, <a href="../../../../org/apache/nutch/indexwriter/cloudsearch/CloudSearchIndexWriter.html" title="class in org.apache.nutch.indexwriter.cloudsearch">CloudSearchIndexWriter</a>, <a href="../../../../org/apache/nutch/indexwriter/csv/CSVIndexWriter.html" title="class in org.apache.nutch.indexwriter.csv">CSVIndexWriter</a>, <a href="../../../../org/apache/nutch/parsefilter/debug/DebugParseFilter.html" title="class in org.apache.nutch.parsefilter.debug">DebugParseFilter</a>, <a href="../../../../org/apache/nutch/scoring/depth/DepthScoringFilter.html" title="class in org.apache.nutch.scoring.depth">DepthScoringFilter</a>, <a href="../../../../org/apache/nutch/urlfilter/domaindenylist/DomainDenylistURLFilter.html" title="class in org.apache.nutch.urlfilter.domaindenylist">DomainDenylistURLFilter</a>, <a href="../../../../org/apache/nutch/urlfilter/domain/DomainURLFilter.html" title="class in org.apache.nutch.urlfilter.domain">DomainURLFilter</a>, <a href="../../../../org/apache/nutch/indexwriter/dummy/DummyIndexWriter.html" title="class in org.apache.nutch.indexwriter.dummy">DummyIndexWriter</a>, <a href="../../../../org/apache/nutch/indexwriter/elastic/ElasticIndexWriter.html" title="class in org.apache.nutch.indexwriter.elastic">ElasticIndexWriter</a>, <a href="../../../../org/apache/nutch/urlfilter/ignoreexempt/ExemptionUrlFilter.html" title="class in org.apache.nutch.urlfilter.ignoreexempt">ExemptionUrlFilter</a>, <a href="../../../../org/apache/nutch/parse/ext/ExtParser.html" title="class in org.apache.nutch.parse.ext">ExtParser</a>, <a href="../../../../org/apache/nutch/urlfilter/fast/FastURLFilter.html" title="class in org.apache.nutch.urlfilter.fast">FastURLFilter</a>, <a href="../../../../org/apache/nutch/indexer/feed/FeedIndexingFilter.html" title="class in org.apache.nutch.indexer.feed">FeedIndexingFilter</a>, <a href="../../../../org/apache/nutch/parse/feed/FeedParser.html" title="class in org.apache.nutch.parse.feed">FeedParser</a>, <a href="../../../../org/apache/nutch/protocol/file/File.html" title="class in org.apache.nutch.protocol.file">File</a>, <a href="../../../../org/apache/nutch/protocol/ftp/Ftp.html" title="class in org.apache.nutch.protocol.ftp">Ftp</a>, <a href="../../../../org/apache/nutch/indexer/geoip/GeoIPIndexingFilter.html" title="class in org.apache.nutch.indexer.geoip">GeoIPIndexingFilter</a>, <a href="../../../../org/apache/nutch/parse/headings/HeadingsParseFilter.html" title="class in org.apache.nutch.parse.headings">HeadingsParseFilter</a>, <a href="../../../../org/apache/nutch/analysis/lang/HTMLLanguageParser.html" title="class in org.apache.nutch.analysis.lang">HTMLLanguageParser</a>, <a href="../../../../org/apache/nutch/parse/html/HtmlParser.html" title="class in org.apache.nutch.parse.html">HtmlParser</a>, <a href="../../../../org/apache/nutch/protocol/htmlunit/Http.html" title="class in org.apache.nutch.protocol.htmlunit">Http</a>, <a href="../../../../org/apache/nutch/protocol/selenium/Http.html" title="class in org.apache.nutch.protocol.selenium">Http</a>, <a href="../../../../org/apache/nutch/protocol/http/Http.html" title="class in org.apache.nutch.protocol.http">Http</a>, <a href="../../../../org/apache/nutch/protocol/httpclient/Http.html" title="class in org.apache.nutch.protocol.httpclient">Http</a>, <a href="../../../../org/apache/nutch/protocol/interactiveselenium/Http.html" title="class in org.apache.nutch.protocol.interactiveselenium">Http</a>, <a href="../../../../org/apache/nutch/protocol/http/api/HttpBase.html" title="class in org.apache.nutch.protocol.http.api">HttpBase</a>, <a href="../../../../org/apache/nutch/exchange/jexl/JexlExchange.html" title="class in org.apache.nutch.exchange.jexl">JexlExchange</a>, <a href="../../../../org/apache/nutch/indexer/jexl/JexlIndexingFilter.html" title="class in org.apache.nutch.indexer.jexl">JexlIndexingFilter</a>, <a href="../../../../org/apache/nutch/parse/js/JSParseFilter.html" title="class in org.apache.nutch.parse.js">JSParseFilter</a>, <a href="../../../../org/apache/nutch/indexwriter/kafka/KafkaIndexWriter.html" title="class in org.apache.nutch.indexwriter.kafka">KafkaIndexWriter</a>, <a href="../../../../org/apache/nutch/analysis/lang/LanguageIndexingFilter.html" title="class in org.apache.nutch.analysis.lang">LanguageIndexingFilter</a>, <a href="../../../../org/apache/nutch/scoring/link/LinkAnalysisScoringFilter.html" title="class in org.apache.nutch.scoring.link">LinkAnalysisScoringFilter</a>, <a href="../../../../org/apache/nutch/indexer/links/LinksIndexingFilter.html" title="class in org.apache.nutch.indexer.links">LinksIndexingFilter</a>, <a href="../../../../org/apache/nutch/indexer/metadata/MetadataIndexer.html" title="class in org.apache.nutch.indexer.metadata">MetadataIndexer</a>, <a href="../../../../org/apache/nutch/parse/metatags/MetaTagsParser.html" title="class in org.apache.nutch.parse.metatags">MetaTagsParser</a>, <a href="../../../../org/apache/nutch/indexer/filter/MimeTypeIndexingFilter.html" title="class in org.apache.nutch.indexer.filter">MimeTypeIndexingFilter</a>, <a href="../../../../org/apache/nutch/indexer/more/MoreIndexingFilter.html" title="class in org.apache.nutch.indexer.more">MoreIndexingFilter</a>, <a href="../../../../org/apache/nutch/parsefilter/naivebayes/NaiveBayesParseFilter.html" title="class in org.apache.nutch.parsefilter.naivebayes">NaiveBayesParseFilter</a>, <a href="../../../../org/apache/nutch/publisher/NutchPublishers.html" title="class in org.apache.nutch.publisher">NutchPublishers</a>, <a href="../../../../org/apache/nutch/protocol/okhttp/OkHttp.html" title="class in org.apache.nutch.protocol.okhttp">OkHttp</a>, <a href="../../../../org/apache/nutch/scoring/opic/OPICScoringFilter.html" title="class in org.apache.nutch.scoring.opic">OPICScoringFilter</a>, <a href="../../../../org/apache/nutch/scoring/orphan/OrphanScoringFilter.html" title="class in org.apache.nutch.scoring.orphan">OrphanScoringFilter</a>, <a href="../../../../org/apache/nutch/urlfilter/prefix/PrefixURLFilter.html" title="class in org.apache.nutch.urlfilter.prefix">PrefixURLFilter</a>, <a href="../../../../org/apache/nutch/indexwriter/rabbit/RabbitIndexWriter.html" title="class in org.apache.nutch.indexwriter.rabbit">RabbitIndexWriter</a>, <a href="../../../../org/apache/nutch/publisher/rabbitmq/RabbitMQPublisherImpl.html" title="class in org.apache.nutch.publisher.rabbitmq">RabbitMQPublisherImpl</a>, <a href="../../../../org/apache/nutch/parsefilter/regex/RegexParseFilter.html" title="class in org.apache.nutch.parsefilter.regex">RegexParseFilter</a>, <a href="../../../../org/apache/nutch/urlfilter/regex/RegexURLFilter.html" title="class in org.apache.nutch.urlfilter.regex">RegexURLFilter</a>, <a href="../../../../org/apache/nutch/urlfilter/api/RegexURLFilterBase.html" title="class in org.apache.nutch.urlfilter.api">RegexURLFilterBase</a>, <a href="../../../../org/apache/nutch/microformats/reltag/RelTagIndexingFilter.html" title="class in org.apache.nutch.microformats.reltag">RelTagIndexingFilter</a>, <a href="../../../../org/apache/nutch/microformats/reltag/RelTagParser.html" title="class in org.apache.nutch.microformats.reltag">RelTagParser</a>, <a href="../../../../org/apache/nutch/indexer/replace/ReplaceIndexer.html" title="class in org.apache.nutch.indexer.replace">ReplaceIndexer</a>, <a href="../../../../org/apache/nutch/scoring/ScoringFilters.html" title="class in org.apache.nutch.scoring">ScoringFilters</a>, <a href="../../../../org/apache/nutch/scoring/similarity/SimilarityScoringFilter.html" title="class in org.apache.nutch.scoring.similarity">SimilarityScoringFilter</a>, <a href="../../../../org/apache/nutch/indexwriter/solr/SolrIndexWriter.html" title="class in org.apache.nutch.indexwriter.solr">SolrIndexWriter</a>, <a href="../../../../org/apache/nutch/indexer/staticfield/StaticFieldIndexer.html" title="class in org.apache.nutch.indexer.staticfield">StaticFieldIndexer</a>, <a href="../../../../org/apache/nutch/collection/Subcollection.html" title="class in org.apache.nutch.collection">Subcollection</a>, <a href="../../../../org/apache/nutch/indexer/subcollection/SubcollectionIndexingFilter.html" title="class in org.apache.nutch.indexer.subcollection">SubcollectionIndexingFilter</a>, <a href="../../../../org/apache/nutch/urlfilter/suffix/SuffixURLFilter.html" title="class in org.apache.nutch.urlfilter.suffix">SuffixURLFilter</a>, <a href="../../../../org/apache/nutch/parse/swf/SWFParser.html" title="class in org.apache.nutch.parse.swf">SWFParser</a>, <a href="../../../../org/apache/nutch/parse/tika/TikaParser.html" title="class in org.apache.nutch.parse.tika">TikaParser</a>, <a href="../../../../org/apache/nutch/indexer/tld/TLDIndexingFilter.html" title="class in org.apache.nutch.indexer.tld">TLDIndexingFilter</a>, <a href="../../../../org/apache/nutch/scoring/tld/TLDScoringFilter.html" title="class in org.apache.nutch.scoring.tld">TLDScoringFilter</a>, <a href="../../../../org/apache/nutch/indexer/urlmeta/URLMetaIndexingFilter.html" title="class in org.apache.nutch.indexer.urlmeta">URLMetaIndexingFilter</a>, <a href="../../../../org/apache/nutch/scoring/urlmeta/URLMetaScoringFilter.html" title="class in org.apache.nutch.scoring.urlmeta">URLMetaScoringFilter</a>, <a href="../../../../org/apache/nutch/urlfilter/validator/UrlValidator.html" title="class in org.apache.nutch.urlfilter.validator">UrlValidator</a>, <a href="../../../../org/apache/nutch/parse/zip/ZipParser.html" title="class in org.apache.nutch.parse.zip">ZipParser</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">Pluggable</span></pre>
<div class="block">Defines the capability of a class to be plugged into Nutch. This is a common
 interface that must be implemented by all Nutch Extension Points.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>J&eacute;r&ocirc;me Charron</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="https://cwiki.apache.org/confluence/display/NUTCH/AboutPlugins">About Plugins</a>, 
<a href="package-summary.html#package_description"> plugin package
      description</a></dd>
</dl>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Pluggable.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/plugin/MissingDependencyException.html" title="class in org.apache.nutch.plugin"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/nutch/plugin/Plugin.html" title="class in org.apache.nutch.plugin"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/plugin/Pluggable.html" target="_top">Frames</a></li>
<li><a href="Pluggable.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
